com.impinj.octane

## Enum AutoStartMode

- java.lang.Object
- - java.lang.Enum<AutoStartMode>
  - - com.impinj.octane.AutoStartMode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<AutoStartMode>

      public enum AutoStartMode
      extends java.lang.Enum<AutoStartMode>

  The ImpinjReader can be configured to start inventory automatically based on several inputs including General purpose input (GPI) and time.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `GpiTrigger` start when a GPI
    `Immediate` auto-start immediately
    `None` do not auto-start
    `Periodic` periodically start

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()`
    `static AutoStartMode` | `valueOf(int autoStartModeValue)`
    `static AutoStartMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static AutoStartMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### None

          public static final AutoStartMode None

      do not auto-start

    - #### Immediate

          public static final AutoStartMode Immediate

      auto-start immediately

    - #### Periodic

          public static final AutoStartMode Periodic

      periodically start

    - #### GpiTrigger

          public static final AutoStartMode GpiTrigger

      start when a GPI

  - ### Method Detail

    - #### values

          public static AutoStartMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AutoStartMode c : AutoStartMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AutoStartMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### valueOf

          public static AutoStartMode valueOf(int autoStartModeValue)

      Parameters:
        `autoStartModeValue` - the integer value
      Returns:
        the enumeration object for the integer value

    - #### getValue

          public int getValue()

      Returns:
        the enumeration value as an integer